frame

Sveiki apsilankę!

Jei forume lankaisi pirmą kartą, kviečiame registruotis ir prisijungti prie diskusijų.

Prisijungti Registruotis

zend optimizer diegimas į centos 4

tyleitylei Naujokas (-ė)
edited 2012 birželio 19 Į Pagalba
bandau diegti zend optimizer, pagal manualus bet nesigauna gal yra kažkokių specifinių dalykų.
Bandau konkrečiai pagal šitą manualą http://pkgs.org/centos-4-rhel-4/atomic-i386/php-zend-optimizer-3.3.9-1.el4.art.i386.rpm.html

[root@server ~]# wget http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/atomic-release-1.0-14.el4.art.noarch.rpm
--11:03:39-- http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/atomic-release-1.0-14.el4.art.noarch.rpm
=> `atomic-release-1.0-14.el4.art.noarch.rpm'
Resolving www6.atomicorp.com... 69.20.6.166
Connecting to www6.atomicorp.com|69.20.6.166|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 6,025 (5.9K) [application/x-rpm]

100%[===============================================================>] 6,025 --.--K/s

11:03:40 (48.79 KB/s) - `atomic-release-1.0-14.el4.art.noarch.rpm' saved [6025/6025]

[root@server ~]# rpm -Uvh atomic-release*rpm
Preparing... ########################################### [100%]
package atomic-release-1.0-14.el4.art is already installed
[root@server ~]# yum install php-zend-optimizer
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Parsing package install arguments
No Match for argument: php-zend-optimizer
Nothing to do
[root@server ~]#

Komentarai

  • IV_RomanLIV_RomanL Interneto vizija
    edited 2012 birželio 19
    Sveiki,

    Zend Optimizer aplikacija galima tik naudojant PHP 5.2.x . Šiuo atveju jūs naudojate PHP 5.3.x , tad Zend Optimizer nėra suderinamas su šia PHP versija. PHP 5.3.x versijai tinkamas tik Zend Guard Loader sprendimas ( http://www.zend.com/en/products/guard/downloads ).
  • tyleitylei Naujokas (-ė)
    edited 2012 birželio 19
    O ar negalima naudoti sprendimo siūlomo http://pkgs.org/centos-4-rhel-4/atomic-i386/php-zend-guard-loader-5.5.0-3.el4.art.i386.rpm.html

    Install Howto

    1.Download the latest atomic-release rpm from http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/
    2.Install atomic-release rpm: # rpm -Uvh atomic-release*rpm
    3.Install php-zend-guard-loader rpm package: # yum install php-zend-guard-loader

    tik man pirmas žingnis neaiškus, kaip suprantu man reiktų parsisiųsti ir įsidiegti php-zend-guard-loader-5.5.0-3.el4.art.i386.rpm, gal kas galėtųt detaliau pakomentuoti kaip tą reiktų tiksliau daryti, jeigu šitas variantas tinkamas.
  • IV_RomanLIV_RomanL Interneto vizija
    edited 2012 birželio 19
    Zend Guard Loader aplikaciją bet kuriuo atveju galėsite įdiegti tik jei naudosite ne naujesnę PHP versijai nei 5.2.x . Tiksli diegimo instrukcija jūsų atveju:

    1. rpm -Uvh http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/atomic-release-1.0-14.el4.art.noarch.rpm -- atomicorp repozitorijos pridėjimas.

    2. yum install php-zend-guard-loader -- ši komanda įdiegia Zend Guard Loader. Šiame žingsnyje jums nepavyks įdiegti norimos aplikacijos dėl anksčiau minėto PHP versijos suderinamumo.
  • tyleitylei Naujokas (-ė)
    edited 2012 birželio 19
    ačiū už atsakymą, pas mane yra PHP 5.2.8 nežinau kodėl pirmame atsakyme pasakėte kad 5.3.

    bandžiau atlikti nurodytus veiksmus:
    [root@server ~]# rpm -Uvh http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/atomic-release-1.0-14.el4.art.noarch.rpm
    Retrieving http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/atomic-release-1.0-14.el4.art.noarch.rpm
    Preparing... ########################################### [100%]
    package atomic-release-1.0-14.el4.art is already installed
    [root@server ~]# yum install php-zend-guard-loader
    Setting up Install Process
    Setting up repositories
    update 100% |=========================| 1.1 kB 00:00
    base 100% |=========================| 1.1 kB 00:00
    atomic 100% |=========================| 1.9 kB 00:00
    addons 100% |=========================| 1.1 kB 00:00
    extras 100% |=========================| 1.1 kB 00:00
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    No Match for argument: php-zend-guard-loader
    Nothing to do
    [root@server ~]#

    jis kažkodėl neranda zend guard loader, kas gali būti negerai?
  • IV_RomanLIV_RomanL Interneto vizija
    edited 2012 birželio 19
    Patikrinkite Zend Guard Loader reikalavimus http://pkgs.org/centos-4-rhel-4/atomic-i386/php-zend-guard-loader-5.5.0-3.el4.art.i386.rpm.html . Dažniausiai problema būna ta, jog nėra php-devel paketo.
    yum install php-devel
    

    Taip pat, priverstinai įdiekite aplikaciją iš atomicorp repozitorijos:
    yum --enablerepo=atomic install php-zend-guard-loader
    
  • tyleitylei Naujokas (-ė)
    edited 2012 birželio 19
    kai bandau vykdyti komandą, gaunu analogišką rezultatą:
    [root@server ~]# yum install php-devel
    Setting up Install Process
    Setting up repositories
    update 100% |=========================| 1.1 kB 00:00
    base 100% |=========================| 1.1 kB 00:00
    atomic 100% |=========================| 1.9 kB 00:00
    addons 100% |=========================| 1.1 kB 00:00
    extras 100% |=========================| 1.1 kB 00:00
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Parsing package install arguments
    No Match for argument: php-devel
    Nothing to do


    panašu kad pas mane kažkaip neužsisaugo tas http://www6.atomicorp.com/channels/atomic/centos/4/i386/RPMS/ ir bandant kažką iš jo diegti nieko neranda
Norėdami palikti komentarą, turite prisijungti arba registruokis.